"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
/**
 * Sets response HTTP status code.
 * Http code will be set only when controller action is successful.
 * In the case if controller action rejects or throws an exception http code won't be applied.
 * Must be applied on a controller action.
 */
function HttpCode(code) {
    return function (object, methodName) {
        index_1.getMetadataArgsStorage().responseHandlers.push({
            type: "success-code",
            target: object.constructor,
            method: methodName,
            value: code
        });
    };
}
exports.HttpCode = HttpCode;
//# sourceMappingURL=HttpCode.js.map