"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
/**
 * Marks given class as a middleware.
 * Allows to create global middlewares and control order of middleware execution.
 */
function Middleware(options) {
    return function (target) {
        index_1.getMetadataArgsStorage().middlewares.push({
            target: target,
            type: options && options.type ? options.type : "before",
            global: true,
            priority: options && options.priority !== undefined ? options.priority : 0
        });
    };
}
exports.Middleware = Middleware;
//# sourceMappingURL=Middleware.js.map